CREATE TABLE Osobe
(
	sifra_osobe CHAR(5) NOT NULL,
	jmbg_osobe CHAR(13) NOT NULL,
	ime_osobe VARCHAR(20) NOT NULL,
	prezime_osobe VARCHAR(20) NOT NULL,
	datum_rodjenja_osobe DATE NOT NULL,
	adresa_osobe VARCHAR(100) NOT NULL,
	telefon_osobe VARCHAR(15) NOT NULL,
CONSTRAINT pk_oso PRIMARY KEY (sifra_osobe)
);

CREATE TABLE Stomatolozi
(
	sifra_osobe CHAR(5) NOT NULL,
	specijalizacija VARCHAR(50),
CONSTRAINT pk_sto PRIMARY KEY (sifra_osobe)
);

CREATE TABLE Pregledi
(
	sifra_stomatologa CHAR(5) NOT NULL,
	sifra_pacijenta CHAR(5) NOT NULL,
	redni_broj_pregleda INTEGER NOT NULL,
	datum_pregleda DATE NOT NULL,
CONSTRAINT pk_pre PRIMARY KEY (sifra_stomatologa, sifra_pacijenta, redni_broj_pregleda)
);

ALTER TABLE Stomatolozi
  ADD CONSTRAINT fk_sto_oso
  FOREIGN KEY (sifra_osobe) REFERENCES Osobe (sifra_osobe)
  ON UPDATE RESTRICT ON DELETE RESTRICT;
  
ALTER TABLE Pregledi
  ADD CONSTRAINT fk_pre_oso
  FOREIGN KEY (sifra_pacijenta) REFERENCES Osobe (sifra_osobe)
  ON UPDATE RESTRICT ON DELETE RESTRICT;
  
ALTER TABLE Pregledi
  ADD CONSTRAINT fk_pre_sto
  FOREIGN KEY (sifra_stomatologa) REFERENCES Stomatolozi (sifra_osobe)
  ON UPDATE RESTRICT ON DELETE RESTRICT;
